library(rgl)


plotImg = function(segs1, segs2, img, ...){
	plot(rep(segs1, length(segs2)), rep(sort(segs2, decreasing=TRUE), 
		each=length(segs1)), pch = 19, cex=img, xlab="X", ylab="Y", ... )
}

pointsImg = function(segs1, segs2, img, ...){
	points(rep(segs1, length(segs2)), rep(sort(segs2, decreasing=TRUE), 
		each=length(segs1)), pch = 19, cex=img, ...)
}


plotImg3d = function(segs1, segs2, img, ...){
	plot3d(rep(segs1, length(segs2)), rep(sort(segs2, decreasing=TRUE), 
		each=length(segs1)), img, axes=FALSE, box=FALSE, xlab="X", ylab="Y",
		zlab = expression(gamma(x,y)), ...)
}

pointsImg3d = function(segs1, segs2, img, ...){
	points3d(rep(segs1, length(segs2)), rep(sort(segs2, decreasing=TRUE), 
		each=length(segs1)), img, ...)
}

contourImg = function(segs1, segs2, img, ...){
	imgNew = matrix(0, nrow=dim(img)[1], ncol=dim(img)[2])
	imgNew = img[,sort(1:length(segs2), decreasing=TRUE)]
	
	contour(segs1, segs2, imgNew, ...)
	
	}